Package org.eclipse.gef.dot.internal.ui.conversion

## Class DotDefaultNodeStyleUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

All Implemented Interfaces:
  `DotNodeStyleUtil`

Direct Known Subclasses:
  `DotClusterStyleUtil`, `DotRecordBasedNodeStyleUtil`

    public class DotDefaultNodeStyleUtil
    extends java.lang.Object
    implements DotNodeStyleUtil

### Field Summary

Fields
`protected DotColorUtil` `colorUtil`
`protected org.eclipse.gef.graph.Node` `dot`

### Constructor Summary

Constructors
`DotDefaultNodeStyleUtil​(DotColorUtil colorUtil, org.eclipse.gef.graph.Node dot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addNodeStyle​(java.lang.StringBuilder zestStyle, org.eclipse.gef.dot.internal.language.style.NodeStyle style, boolean penwidthUnset)`
`protected org.eclipse.gef.dot.internal.language.color.Color` `colorAttribute()`
`protected java.lang.String` `colorschemeAttribute()`
`java.lang.StringBuilder` `computeZestStyle()` Computes Zest node shape style
`protected org.eclipse.gef.dot.internal.language.colorlist.ColorList` `fillcolorAttribute()`
`protected boolean` `fillCondition()`
`protected java.lang.String` `fillFxCssString()`
`boolean` `hasStyle​(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)` Checks if node has given style
`protected java.lang.Double` `penwidthAttribute()`
`protected org.eclipse.gef.dot.internal.language.shape.Shape` `shapeAttribute()`
`protected java.lang.String` `strokeColorFxCssString()`
`protected java.lang.String` `strokeWidthFxCssString()`
`protected org.eclipse.gef.dot.internal.language.style.Style` `styleAttribute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### colorUtil

    protected final DotColorUtil colorUtil

#### dot

    protected final org.eclipse.gef.graph.Node dot

### Constructor Detail

#### DotDefaultNodeStyleUtil

    public DotDefaultNodeStyleUtil​(DotColorUtil colorUtil,
                                   org.eclipse.gef.graph.Node dot)

### Method Detail

#### computeZestStyle

    public java.lang.StringBuilder computeZestStyle()

Description copied from interface: `DotNodeStyleUtil`
Computes Zest node shape style

Specified by:
  `computeZestStyle` in interface `DotNodeStyleUtil`
Returns:
  StringBuilder containing node shape style

#### hasStyle

    public boolean hasStyle​(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)

Description copied from interface: `DotNodeStyleUtil`
Checks if node has given style

Specified by:
  `hasStyle` in interface `DotNodeStyleUtil`
Returns:
  true, if node has nodeStyle

#### addNodeStyle

    protected void addNodeStyle​(java.lang.StringBuilder zestStyle,
                                org.eclipse.gef.dot.internal.language.style.NodeStyle style,
                                boolean penwidthUnset)

#### fillFxCssString

    protected java.lang.String fillFxCssString()

#### strokeWidthFxCssString

    protected java.lang.String strokeWidthFxCssString()

#### strokeColorFxCssString

    protected java.lang.String strokeColorFxCssString()

#### shapeAttribute

    protected org.eclipse.gef.dot.internal.language.shape.Shape shapeAttribute()

#### colorschemeAttribute

    protected java.lang.String colorschemeAttribute()

#### colorAttribute

    protected org.eclipse.gef.dot.internal.language.color.Color colorAttribute()

#### penwidthAttribute

    protected java.lang.Double penwidthAttribute()

#### fillcolorAttribute

    protected org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolorAttribute()

#### fillCondition

    protected boolean fillCondition()

#### styleAttribute

    protected org.eclipse.gef.dot.internal.language.style.Style styleAttribute()